Documentation
¶
Index ¶
- type API
- func (api *API) AddPDSToList(c echo.Context) error
- func (api *API) CancelCleanupJob(c echo.Context) error
- func (api *API) CleanupOldRecords(c echo.Context) error
- func (api *API) GetCleanupStats(c echo.Context) error
- func (api *API) GetCleanupStatus(c echo.Context) error
- func (api *API) GetListMembers(c echo.Context) error
- func (api *API) GetOEmbed(c echo.Context) error
- func (api *API) GetPDSList(c echo.Context) error
- func (api *API) GetPostCardImage(c echo.Context) error
- func (api *API) GetPostLinkProxy(c echo.Context) error
- func (api *API) GetProfileLinkProxy(c echo.Context) error
- func (api *API) GetRepoAsJSON(c echo.Context) error
- func (api *API) GetStats(c echo.Context) error
- func (api *API) RedirectAtURI(c echo.Context) error
- func (api *API) RunCleanupDaemon(ctx context.Context)
- type CancelCleanupJobRequest
- type CleanupOldRecordsRequest
- type GetCleanupStatusRequest
- type GetListMembersRequest
- type GetRepoRequest
- type RedirectAtURIRequest
- type RedirectRequest
Constants ¶
This section is empty.
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type API ¶
type API struct {
Logger *slog.Logger
SearchService *search.SearchService
Store *store.Store
Directory identity.Directory
CheckoutLimiter *rate.Limiter
MagicHeaderVal string
Appview *appview.Client
Renderer *postcard.Renderer // nil disables card rendering
Redis *redis.Client
PublicURL string // externally-visible base URL; derived from the request when empty
// contains filtered or unexported fields
}
func (*API) AddPDSToList ¶
AddPDSToList adds an official Bluesky PDS to the usercount scrape list at runtime, persisting it to redis. The host must be a *.host.bsky.network instance and must answer com.atproto.server.describeServer before it is accepted, so junk hostnames can't be injected.
func (*API) RunCleanupDaemon ¶
type CancelCleanupJobRequest ¶
type CancelCleanupJobRequest struct {
JobID string `query:"job_id"`
}
CancelCleanupJobRequest for DELETE /repo/cleanup
type CleanupOldRecordsRequest ¶
type CleanupOldRecordsRequest struct {
Identifier string `json:"identifier"`
AppPassword string `json:"app_password"`
CleanupTypes []string `json:"cleanup_types"`
DeleteUntilDaysAgo int `json:"delete_until_days_ago"`
ActuallyDeleteStuff bool `json:"actually_delete_stuff"`
}
CleanupOldRecordsRequest for POST /repo/cleanup
type GetCleanupStatusRequest ¶
GetCleanupStatusRequest for GET /repo/cleanup
type GetListMembersRequest ¶
type GetListMembersRequest struct {
URI string `query:"uri"`
}
GetListMembersRequest for GET /list/members
type GetRepoRequest ¶
type GetRepoRequest struct {
DID string `param:"did"`
}
GetRepoRequest for GET /repo/:did
type RedirectAtURIRequest ¶
type RedirectAtURIRequest struct {
URI string `query:"uri"`
}
RedirectAtURIRequest for GET /redir
type RedirectRequest ¶
type RedirectRequest struct {
Q string `query:"q"`
}
Click to show internal directories.
Click to hide internal directories.